# -*- coding: utf-8 -*-
# Copyright (c) 2020, JINGROW
# For license information, please see license.txt


import jingrow

from jcloud.install import create_certificate_authorities


def execute():
	jingrow.reload_pg("jcloud", "pagetype", "certificate_authority")
	if jingrow.get_site_config().developer_mode:
		jingrow.conf.developer_mode = 1
	create_certificate_authorities()
	jingrow.conf.developer_mode = 0
